{
  "task": {
    "_parent": {
      "type": "info"
    },
    "properties": {
      "id": {
        "type": "long"
      },
      "idBill": {
        "type": "long"
      },
      "taskCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "taskName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "idParentTask": {
        "type": "long"
      },
      "idPrintTask": {
        "type": "text",
        "index": "not_analyzed"
      },
      "idAssembleBreedTask": {
        "type": "text",
        "index": "not_analyzed"
      },
      "idMadeBreedTask": {
        "type": "text",
        "index": "not_analyzed"
      },
      "idCutPaperTask": {
        "type": "text",
        "index": "not_analyzed"
      },
      "idWorkProcess": {
        "type": "long"
      },
      "workProcessName": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type":  "keyword"
          }
        }
      },
      "idMachine": {
        "type": "long"
      },
      "machineName": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type":  "keyword"
          }
        }
      },
      "taskStatus": {
        "type": "integer"
      },
      "dispatchTimeLong": {
        "type": "long"
      },
      "dispatchTimeYear": {
        "type": "long"
      },
      "dispatchTimeMonth": {
        "type": "long"
      },
      "dispatchTimeDay": {
        "type": "long"
      },
      "idDispatchUser": {
        "type": "long"
      },
      "dispatchUserName": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type":  "keyword"
          }
        }
      },
      "processTimeLong": {
        "type": "long"
      },
      "processTimeYear": {
        "type": "long"
      },
      "processTimeMonth": {
        "type": "long"
      },
      "processTimeDay": {
        "type": "long"
      },
      "idProcessUser": {
        "type": "long"
      },
      "processUserName": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type":  "keyword"
          }
        }
      },
      "processQty": {
        "type": "double"
      },
      "processMemo": {
        "type": "text",
        "index": "not_analyzed"
      },
      "pdfMakeKind": {
        "type": "integer"
      },
      "pdfMakeStatus": {
        "type": "integer"
      },
      "breedFlipType": {
        "type": "integer"
      },
      "breedSize": {
        "type": "text",
        "index": "not_analyzed"
      },
      "pageBlankTop": {
        "type": "double"
      },
      "pageBlankLeft": {
        "type": "double"
      },
      "pageBlankBottom": {
        "type": "double"
      },
      "pageBlankRight": {
        "type": "double"
      },
      "holdPlace": {
        "type": "integer"
      },
      "exchangeHoldPlace": {
        "type": "integer"
      },
      "printCount": {
        "type": "integer"
      },
      "idPaperQuoteInfo": {
        "type": "long"
      },
      "paperName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "processPageCount": {
        "type": "integer"
      },
      "reversePages": {
        "type": "integer"
      },
      "pdfPlateKind": {
        "type": "integer"
      },
      "expectStartTimeLong": {
        "type": "long"
      },
      "expectCostTime": {
        "type": "long"
      },
      "taskFullIndex": {
        "type": "long"
      },
      "taskGroupIndex": {
        "type": "long"
      },
      "createBy": {
        "type": "long"
      },
      "createTimeLong": {
        "type": "long"
      },
      "updateBy": {
        "type": "long"
      },
      "updateTimeLong": {
        "type": "long"
      }
    }
  }
}
